Title let driver validate plans
Priority wish Status resolved
Superseder Nosy List florian, jendrik, malte
Assigned To jendrik Keywords driver
Optional summary

Created on 2015-08-31.15:50:04 by jendrik, last changed by jendrik.

msg4662 (view) Author: jendrik Date: 2015-10-20.12:34:26
Merged and pushed. Thanks guys!
msg4661 (view) Author: malte Date: 2015-10-20.11:09:58
I made one comment on bitbucket. Feel free to address or ignore it and merge.
msg4660 (view) Author: jendrik Date: 2015-10-20.11:04:52
Thanks! Malte, do you think we can merge this?
msg4659 (view) Author: florian Date: 2015-10-20.10:54:40
I'm done with the review. Looks good.
msg4649 (view) Author: florian Date: 2015-10-06.13:52:35
I can review it, but its going to take some time. I guess I won't find time for
it this week.
msg4648 (view) Author: jendrik Date: 2015-10-05.18:56:04
Florian, can I interest you in reviewing this? It is the last missing building 
block for whole-planner experiments.
msg4647 (view) Author: malte Date: 2015-10-05.18:47:46
Hi Jendrik, with the volume of stuff coming in every day at the moment, I don't
want to be the bottleneck for this. If you could find another reviewer for this,
this would be great.
msg4643 (view) Author: jendrik Date: 2015-10-02.22:23:53
I have implemented this feature here:

Can you please have a look at the diff?

If you agree with the overall design, there are at least two open questions:

- Should users be able set time and memory limits for the validator?
- How should we avoid the code duplication for finding the domain file given a 
problem file?
msg4586 (view) Author: jendrik Date: 2015-08-31.15:50:04
One idea from issue569 is to let the driver validate the found plans. The most 
important question is probably whether we want to turn on plan validation by 
default. I believe we should validate all plans by default and handle VAL just 
like the other components with its own options (i.e., add --validate and --
validate-options), but without time and memory limits.
Date User Action Args
2015-10-20 12:34:26jendriksetstatus: chatting -> resolved
messages: + msg4662
2015-10-20 11:09:58maltesetmessages: + msg4661
2015-10-20 11:04:52jendriksetmessages: + msg4660
2015-10-20 10:54:40floriansetmessages: + msg4659
2015-10-06 13:52:35floriansetmessages: + msg4649
2015-10-05 18:56:04jendriksetnosy: + florian
messages: + msg4648
2015-10-05 18:47:46maltesetmessages: + msg4647
2015-10-02 22:23:53jendriksetstatus: unread -> chatting
messages: + msg4643
2015-08-31 15:50:04jendrikcreate